function RES=getVolatility(ARG,width,step)
% Функция построена согласно статьи
% Stanley E. etc "The statistical properties of the volatility of price uctuations"
% Построение матрицы V - матрицы волатильности
% Вход  : ARG - матрица возвратов G
%         width - ширина окна для вычисления данных
%         step - шаг перемещения окна
% Выход : RES - результирующая матрица волатильности

% Если отсутствует значение шага перемещения окна - установить равным 1
if nargin==2
    step=1;
end

[m,n]=size(ARG);
for i=1:m
    index=1;
    for j=1:step:n-width+1
%        j
        S=0;
        for k=j:j+width-1
            S=S+abs(ARG(i,k));
        end
        S=S/width;
        RES(i,index)=S;
        index=index+1;
    end
end